tag_heirarcy:
  D1D001_consumptions_Opening_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6452
    source: calculated
    dependency:
      - D1D001_consumptions_Closing_DPR

  D1D001_consumptions_Day_Cons_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6456
    source: calculated
    dependency:
      - D1D001_consumptions_Opening_DPR
      - D1D001_consumptions_Day_Receipt_DPR
      - D1D001_consumptions_Day_Recovery_DPR
      - D1D001_consumptions_Closing_DPR

  7302011030_Consumptions_Opening_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4299$tag_6487
    source: calculated
    dependency:
      - 7302011030_Consumptions_Closing_DPR

  7302011030_Consumptions_Day_Cons_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4299$tag_6490
    source: calculated
    dependency:
      - D1D001_consumptions_Opening_DPR
      - D1D001_consumptions_Day_Receipt_DPR
      - D1D001_consumptions_Day_Recovery_DPR
      - D1D001_consumptions_Closing_DPR

  7302011030_Consumptions_Closing_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4299$tag_6491
    source: manual
    dependency:
      - None

  7302011061_Consumption_Opening_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4302$tag_6492
    source: calculated
    dependency:
      - 7302011061_Consumption_Closing_DPR

  Crude_Prod_Day_Prod_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4305$tag_6460
    source: calculated
    dependency:
      - D1D001_consumptions_Day_Cons_DPR
      - D1D001Readings_Conv_DPR

  Pure_Production_Opening_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6497
    source: calculated
    dependency:
      - Pure_Production_Closing_of_Pure_Tanks_only_DPR

  Pure_Production_Day_Prod_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6496
    source: calculated
    dependency:
      - Crude_Prod_Day_Prod_DPR

  Utility_report_Power_Norms:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6470
    source: calculated
    dependency:
      - Utility_report_Day_Power
      - Crude_Prod_Day_Prod_DPR

  Utility_report_Steam_Norms:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6471
    source: calculated
    dependency:
      - Utility_report_Day_Steam
      - Crude_Prod_Day_Prod_DPR

  Utility_report_Raffinate_Norms:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6472
    source: calculated
    dependency:
      - Utility_report_Day_Raffinate
      - Crude_Prod_Day_Prod_DPR

  Utility_report_Raffinate_Vent_Gas:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6473
    source: calculated
    dependency:
      - Utility_report_Vent_Gas_Raffinate
      - Crude_Prod_Day_Prod_DPR

  Utility_report_Raw_Water_Norms:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6474
    source: calculated
    dependency:
      - Utility_report_Day_Treated_Water
      - Crude_Prod_Day_Prod_DPR

  Utility_report_per_hr_burn_rate:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6483
    source: calculated
    dependency:
      - Utility_report_Raffinate_Incinerated

  D1D001Readings_T_2703_A_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6447
    source: manual
    dependency: None

  D1D001Readings_T_2703_B_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6448
    source: manual
    dependency: None

  D1D001Readings_Conv_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6451
    source: manual
    dependency: None

  D1D001_consumptions_Day_Receipt_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6453
    source: manual
    dependency: None

  D1D001_consumptions_Day_Recovery_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6454
    source: calculated_depends_previous_value
    dependency: None

  7302011030_Consumptions_Day_Receipt_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4299$tag_6488
    source: manual
    dependency: None

  7302011061_Consumption_Day_Receipt_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4302$tag_6493
    source: manual
    dependency: None

  7302011061_Consumption_Day_Cons_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4302$tag_6459
    source: manual
    dependency: None

  Pure_Production_Day_Nia_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6462
    source: manual
    dependency: None

  Pure_Production_Day_Drum_Filling_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6464
    source: manual
    dependency: None

  Pure_Production_Pure_tank_Dead_Volumes_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6469
    source: manual
    dependency: None

  Utility_report_Day_Power:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6475
    source: manual
    dependency: None

  Utility_report_Day_Steam:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6477
    source: manual
    dependency: None

  Utility_report_Day_Raffinate:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6478
    source: manual
    dependency: None

  Utility_report_Vent_Gas_Raffinate:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6479
    source: manual
    dependency: None

  Utility_report_Day_DM:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6480
    source: manual
    dependency: None

  Utility_report_Day_Treated_Water:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6481
    source: manual
    dependency: None

  Utility_report_Raffinate_Incinerated:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6482
    source: manual
    dependency: None

  D1D001Readings_T_2101_A_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6449
    source: dcs
    dependency: None

  D1D001Readings_T_2101_B_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6450
    source: dcs
    dependency: None

  Pure_Production_LT_2701_A_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6466
    source: dcs
    dependency: None

  Pure_Production_LT_2701_B_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6467
    source: dcs
    dependency: None

  D1D001_consumptions_Closing_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6457
    source: calculated
    dependency:
      - D1D001Readings_T_2703_A_DPR
      - D1D001Readings_T_2703_B_DPR
      - D1D001Readings_T_2101_A_DPR
      - D1D001Readings_T_2101_B_DPR

  D1D001_consumptions_Total_Receipt_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4298$tag_6455
    source: calculated_depends_previous_value
    dependency:
      - D1D001_consumptions_Total_Receipt_DPR
      - D1D001_consumptions_Day_Receipt_DPR

  7302011030_Consumptions_Total_Receipt_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4299$tag_6489
    source: calculated_depends_previous_value
    dependency:
      - 7302011030_Consumptions_Total_Receipt_DPR
      - 7302011030_Consumptions_Day_Receipt_DPR

  7302011030_Consumptions_Total_Cons_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4299$tag_6458
    source: calculated_depends_previous_value
    dependency:
      - 7302011030_Consumptions_Total_Cons_DPR
      - 7302011030_Consumptions_Day_Cons_DPR

  7302011061_Consumption_Closing_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4302$tag_6499
    source: calculated_depends_previous_value
    dependency:
      - 7302011061_Consumption_Opening_DPR
      - 7302011061_Consumption_Day_Receipt_DPR
      - 7302011061_Consumption_Day_Cons_DPR

  7302011061_Consumption_Total_Receipt_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4302$tag_6495
    source: calculated_depends_previous_value
    dependency:
      - 7302011061_Consumption_Total_Receipt_DPR
      - 7302011030_Consumptions_Day_Receipt_DPR

  7302011061_Consumption_Total_Cons_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4302$tag_6498
    source: calculated_depends_previous_value
    dependency:
      - 7302011061_Consumption_Total_Cons_DPR
      - 7302011061_Consumption_Day_Cons_DPR

  Crude_Prod_Total_Prod_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4305$tag_6461
    source: calculated_depends_previous_value
    dependency:
      - Crude_Prod_Total_Prod_DPR
      - Crude_Prod_Day_Prod_DPR

  Pure_Production_Closing_of_Pure_Tanks_only_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6468
    source: calculated_depends_previous_value
    dependency:
      - Pure_Production_LT_2701_A_DPR
      - Pure_Production_LT_2701_B_DPR
      - Pure_Production_Pure_tank_Dead_Volumes_DPR

  Pure_Production_Total_Prod_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6494
    source: calculated_depends_previous_value
    dependency:
      - Pure_Production_Total_Prod_DPR
      - Pure_Production_Day_Prod_DPR

  Pure_Production_Total_Nia_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6463
    source: calculated_depends_previous_value
    dependency:
      - Pure_Production_Total_Nia_DPR
      - Pure_Production_Day_Nia_DPR

  Pure_Production_Total_Drum_Filling_DPR:
    column_tag: site_116$dept_134$line_350$equipment_4306$tag_6465
    source: calculated_depends_previous_value
    dependency:
      - Pure_Production_Total_Drum_Filling_DPR
      - Pure_Production_Day_Drum_Filling_DPR


  Utility_report_Actual_Ammonia_Norms:
    column_tag: site_116$dept_134$line_350$equipment_4179$tag_6486
    source: calculated
    dependency:
      - 7302011030_Consumptions_Day_Cons_DPR
      - Crude_Prod_Day_Prod_DPR

  Utility_report_Actual_Beta_Norms:
    column_tag: site_116$dept_134$line_350$equipment_4179$tag_6724
    source: calculated
    dependency:
      - D1D001_consumptions_Day_Cons_DPR
      - D1D001_consumptions_Day_Recovery_DPR
      - Crude_Prod_Day_Prod_DPR

  Utility_report_Actual_Benzene_Norms:
    column_tag: site_116$dept_134$line_350$equipment_4179$tag_6725
    source: calculated
    dependency:
      - 7302011061_Consumption_Day_Cons_DPR
      - Crude_Prod_Day_Prod_DPR

  Utility_report_Day_DM_norm:
    column_tag: site_116$dept_135$line_366$equipment_4307$tag_6915
    source: calculated
    dependency: Utility_report_Day_DM

  Beta_Purification_Column_C_2409_Outlet_Flow_TZ:
    column_tag: site_116$dept_134$line_351$equipment_4209$tag_5372
    source: manual
    dependency: None


